org.eclipse.gef.dot.internal.language.formatting

## Class DotNodeModelStreamer

- java.lang.Object
- - org.eclipse.xtext.formatting.impl.NodeModelStreamer
  - - org.eclipse.gef.dot.internal.language.formatting.DotNodeModelStreamer

All Implemented Interfaces:
  org.eclipse.xtext.formatting.INodeModelStreamer

    public class DotNodeModelStreamer
    extends org.eclipse.xtext.formatting.impl.NodeModelStreamer

The DotNodeModelStreamer class is capable of delegating the formatting from the dot host grammar formatter to the dot sub-grammar formatters.

### Field Summary

### Fields inherited from class org.eclipse.xtext.formatting.impl.NodeModelStreamer

`hiddenTokenHelper, tokenUtil, valueConverter`

### Constructor Summary

Constructors
Constructor and Description
`DotNodeModelStreamer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `writeSemantic(org.eclipse.xtext.parsetree.reconstr.ITokenStream out, org.eclipse.xtext.nodemodel.ICompositeNode node)`

### Methods inherited from class org.eclipse.xtext.formatting.impl.NodeModelStreamer

`feedTokenStream, findRootRuleForRegion, getLeafs, writeHidden, writeHiddenEmpty, writeSemantic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotNodeModelStreamer

    public DotNodeModelStreamer()

### Method Detail

#### writeSemantic

    protected void writeSemantic(org.eclipse.xtext.parsetree.reconstr.ITokenStream out,
                                 org.eclipse.xtext.nodemodel.ICompositeNode node)
                          throws java.io.IOException

Overrides:
  `writeSemantic` in class `org.eclipse.xtext.formatting.impl.NodeModelStreamer`
Throws:
  `java.io.IOException`